Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.common.cache
Class RemovalListeners

    java.lang.Object
      com.google.common.cache.RemovalListeners

    @Beta
    public final class RemovalListeners

extends Object

A collection of common removal listeners.

Since:
  10.0
Author:
  Charles Fry

Method Summary
`static
`<K,V> RemovalListener<K,V>`
` | `asynchronous(RemovalListener<K,V> listener, Executor executor)` Returns a `RemovalListener` which processes all eviction notifications using `executor`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### asynchronous

    public static <K,V> RemovalListener<K,V> asynchronous(RemovalListener<K,V> listener,
                                                          Executor executor)

  Returns a `RemovalListener` which processes all eviction notifications using `executor`.

  Parameters:
    `listener` - the backing listener
    `executor` - the executor with which removal notifications are asynchronously executed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2012. All Rights Reserved.